---
- hosts: all
  any_errors_fatal: false
  environment:
    NETRC: ''
  vars:
    artefact_server: "{{ lookup('env', 'ARTEFACT_SERVER') | default('http://127.0.0.1', true) }}"
    application_version: "{{ lookup('env', 'APPLICATION_VERSION') | default('1910.1', true ) }}"
    artefact_url: "{{ artefact_server }}/{{ application_version }}/cae-feeder"
    coremedia_license_url: "{{ artefact_server }}/licenses/{{ application_version }}"
    local_tmp_directory: "/var/tmp/ansible_artefacts/{{ application_version }}"

    database_driver: postgres

    postgresql_version: 9.6
    postgresql_databases:
      - name: caefeeder_live
        owner: caefeeder-live

    postgresql_database_schemas:
      - database: caefeeder_live
        schema: caefeeder-live
        owner: caefeeder-live
        state: present

    postgresql_users:
      - name: caefeeder-live
        pass: caefeeder-live
        encrypted: yes

  roles:
    - role: postgresql
    - role: corretto
    - role: solr
    - role: caefeeder
      vars:
        - caefeeder: caefeeder-live
        - coremedia:
            caefeeder_live:
              artefact_name: caefeeder.jar
              # artefact_checksum_file: "{{ artefact_server }}/{{ application_version }}/content-server/checksums"
